## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class AttributeDefinitionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.AttributeDefinitionImpl

All Implemented Interfaces:
  AttributeDefinition, SQLObject, TypedElement

    public class AttributeDefinitionImpl

extends TypedElementImpl
implements AttributeDefinition

An implementation of the model object 'Attribute Definition'.

The following features are implemented:

- `Scope Check`
- `Scope Checked`
- `Default Value`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getDefaultValue()`
`ReferentialActionType` `getScopeCheck()`
`boolean` `isScopeChecked()`
`void` `setDefaultValue(java.lang.String newDefaultValue)`
`void` `setScopeCheck(ReferentialActionType newScopeCheck)`
`void` `setScopeChecked(boolean newScopeChecked)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, eInverseRemove, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eInverseAdd, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getScopeCheck

    public ReferentialActionType getScopeCheck()

  Specified by:
    `getScopeCheck` in interface `AttributeDefinition`
  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `AttributeDefinition.setScopeCheck(ReferentialActionType)`, `SQLDataTypesPackage.getAttributeDefinition_ScopeCheck()`

### setScopeCheck

    public void setScopeCheck(ReferentialActionType newScopeCheck)

  Specified by:
    `setScopeCheck` in interface `AttributeDefinition`
  Parameters:
    `newScopeCheck` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `AttributeDefinition.getScopeCheck()`

### isScopeChecked

    public boolean isScopeChecked()

  Specified by:
    `isScopeChecked` in interface `AttributeDefinition`
  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `AttributeDefinition.setScopeChecked(boolean)`, `SQLDataTypesPackage.getAttributeDefinition_ScopeChecked()`

### setScopeChecked

    public void setScopeChecked(boolean newScopeChecked)

  Specified by:
    `setScopeChecked` in interface `AttributeDefinition`
  Parameters:
    `newScopeChecked` - the new value of the 'Scope Checked' attribute.
  See Also:
    `AttributeDefinition.isScopeChecked()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `AttributeDefinition`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `AttributeDefinition.setDefaultValue(String)`, `SQLDataTypesPackage.getAttributeDefinition_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `AttributeDefinition`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' attribute.
  See Also:
    `AttributeDefinition.getDefaultValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TypedElementImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TypedElementImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TypedElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TypedElementImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.